edu.isi.pegasus.planner.catalog

## Interface WorkCatalog

All Superinterfaces:
  Catalog

All Known Implementing Classes:
  Database

    public interface WorkCatalog
    extends Catalog

The catalog interface to the Work Catalog, the erstwhile Work DB, that is populated by tailstatd and associates.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `c_prefix` Prefix for the property subset to use with this catalog.
`static java.lang.String` `DB_PREFIX` The DB Driver properties prefix.
`static java.lang.String` `VERSION` The version of the API

### Fields inherited from interface edu.isi.pegasus.planner.catalog.Catalog

`DB_ALL_PREFIX`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `delete(java.lang.String basedir, java.lang.String vogroup, java.lang.String label, java.lang.String run)` Deletes a mapping from the work catalog.
`int` `insert(java.lang.String basedir, java.lang.String vogroup, java.lang.String label, java.lang.String run, java.lang.String creator, java.util.Date cTime, java.util.Date mTime, int state)` Inserts a new mapping into the work catalog.

### Methods inherited from interface edu.isi.pegasus.planner.catalog.Catalog

`close, connect, isClosed`

### Field Detail

#### c_prefix

    static final java.lang.String c_prefix

Prefix for the property subset to use with this catalog.

See Also:
  Constant Field Values

#### DB_PREFIX

    static final java.lang.String DB_PREFIX

The DB Driver properties prefix.

See Also:
  Constant Field Values

#### VERSION

    static final java.lang.String VERSION

The version of the API

See Also:
  Constant Field Values

### Method Detail

#### insert

    int insert(java.lang.String basedir,
               java.lang.String vogroup,
               java.lang.String label,
               java.lang.String run,
               java.lang.String creator,
               java.util.Date cTime,
               java.util.Date mTime,
               int state)
        throws WorkCatalogException

Inserts a new mapping into the work catalog.

Parameters:
  `basedir` - the base directory
  `vogroup` - the vo to which the user belongs to.
  `label` - the label in the DAX
  `run` - the run number.
  `creator` - the user who is running.
  `cTime` - the creation time of the DAX
  `mTime` - the modification time.
  `state` - the state of the workflow
Returns:
  number of insertions, should always be 1. On failure, throw an exception, don't use zero.
Throws:
  `WorkCatalogException` - in case of unable to delete entry.

#### delete

    int delete(java.lang.String basedir,
               java.lang.String vogroup,
               java.lang.String label,
               java.lang.String run)
        throws WorkCatalogException

Deletes a mapping from the work catalog.

Parameters:
  `basedir` - the base directory
  `vogroup` - the vo to which the user belongs to.
  `label` - the label in the DAX
  `run` - the run number.
Returns:
  number of insertions, should always be 1. On failure, throw an exception, don't use zero.
Throws:
  `WorkCatalogException` - in case of unable to delete entry.